/*
    This software may only be used by you under license from AT&T Corp.
    ("AT&T").  A copy of AT&T's Source Code Agreement is available at
    AT&T's Internet website having the URL:
    <http://www.research.att.com/sw/tools/graphviz/license/source.html>
    If you received this software without first entering into a license
    with AT&T, you have an infringing copy of this software and cannot use
    it without violating AT&T's intellectual property rights.
*/
#pragma prototyped

/*
 * Written by Emden R. Gansner
 */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include    "fdp.h"
#include    "options.h"
/* #include    "tlayout.h" */
#include        <time.h>
#ifndef MSWIN32
#include        <unistd.h>
#endif

char *Info[] = {
    "fdp",              /* Program */
    VERSION,            /* Version */
    BUILDDATE           /* Build Date */
};

static graph_t *G;

#ifndef MSWIN32
static void intr(int s)
{
  if (G) dotneato_write(G);
  dotneato_terminate();
  exit(1);
}
#endif

int
main (int argc, char** argv)
{
  static graph_t* prev;

  argc = fdp_doArgs (argc, argv);
  dotneato_initialize (argc, argv);
  
#ifndef MSWIN32
    signal (SIGUSR1, toggle);
    signal (SIGINT, intr);
#endif

  while ((G = next_input_graph())) {
    if (prev) fdp_cleanup(prev);
    prev = G;
    fdp_layout(G);
    dotneato_write(G);
  }
  dotneato_terminate();
  return 1;
}

